Bug 24648 - Erzeugung eines fehlerhaften Installationsprofils
Erzeugung eines fehlerhaften Installationsprofils
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-16 09:53 CET by Sönke Schwardt-Krummrich
Modified: 2013-11-19 06:42 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
installation_profile (1.30 KB, text/plain)
2011-11-16 09:53 CET, Sönke Schwardt-Krummrich
Details
Traceback (44.16 KB, image/png)
2013-08-21 11:08 CEST, Moritz Muehlenhoff
Details
Systems fails to boot after PXE installation (38.37 KB, image/png)
2013-08-21 12:15 CEST, Moritz Muehlenhoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2011-11-16 09:53:22 CET
Created attachment 3812 [details]
installation_profile

Wird ein System profilbasiert mit UCS 3.0-0 installiert, taucht die
Megabyteangabe anschließend im fertig installierten System doppelt auf:

root@mas76:~# grep ^dev_ /etc/univention/installation_profile
dev_1='PHY /dev/sda3 0 1 none 1908MM 23000MM  lvm'
dev_0='PHY /dev/sda2 0 1 linux-swap 320MM 1908MM  '
dev_3='PHY /dev/sda1 0 1 ext3 1MM 320MM /boot boot'
dev_2='LVM /dev/vg_ucs/rootfs LVMLV 1 ext4 0MM 20092MM / None'
Comment 1 Felix Botner univentionstaff 2013-07-03 10:47:27 CEST
Installiert mit folgendem Profil:

domainname='new.test'
auto_reboot='no'
bootloader_record='/dev/vda'
ldap_base='dc=new,dc=test'
auto_join='false'
timezone='Europe/Berlin'
cdrom_device='nfs:10.200.7.150:/var/lib/univention-repository/'
locales='de_DE.UTF-8:UTF-8'
eth0_type='dhcp'
hostname='mymem'
fqdn='mymem.new.test'
use_efi='no'
keymap='de-latin1'
partitiontable_type='GPT'
locale_default='de_DE.UTF-8:UTF-8'
dev_4='PHY /dev/vda2 0 1 ext4 24M 536M /boot none'
dev_2='PHY /dev/vda4 0 1 none 2555M 20352M None lvm'
dev_1='PHY /dev/vda3 0 1 linux-swap 536M 2555M None linux-swap'
dev_0='PHY /dev/vda1 0 0 none 16M 24M None bios_grub'
dev_3='LVM /dev/vg_ucs/rootfs LVMLV 0 ext4 0M 17792M / none'
system_role='memberserver'
bootloader_record="/dev/vda"
disks="/dev/vda"
part_delete="all"
lvm_delete="/dev/vg_ucs/*"

Dann bekomme ich folgendes in /etc/univention/installation_profile:

dev_4='PHY /dev/vda2 0 1 ext4 24MiB 536MiB /boot none'
dev_1='PHY /dev/vda3 0 1 linux-swap 536MiB 2555MiB None linux-swap'
dev_0='PHY /dev/vda1 0 0 none 16MiB 24MiB None bios_grub'
dev_3='LVM /dev/vg_ucs/rootfs LVMLV 0 ext4 0MiB 17792MiB / none'
dev_2='PHY /dev/vda4 0 1 none 2555MiB 20352MiB None lvm'
Comment 2 Felix Botner univentionstaff 2013-07-03 11:30:09 CEST
A installation with this "MiB" profile also works.
Comment 3 Moritz Muehlenhoff univentionstaff 2013-08-21 11:08:43 CEST
Created attachment 5386 [details]
Traceback
Comment 4 Moritz Muehlenhoff univentionstaff 2013-08-21 11:09:10 CEST
If I try to install with the current Univention Net Installer and the profile from Comment 1 I get the traceback from the attached screenshot.
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2013-08-21 11:13:28 CEST
(In reply to Moritz Muehlenhoff from comment #4)
> If I try to install with the current Univention Net Installer and the
> profile from Comment 1 I get the traceback from the attached screenshot.

Looks like no partitiontable is present on the disk.
The following line within the profile seems to be missing:

create_partitiontable="/dev/vda"
Comment 6 Moritz Muehlenhoff univentionstaff 2013-08-21 12:15:12 CEST
(In reply to Sönke Schwardt-Krummrich from comment #5)
> (In reply to Moritz Muehlenhoff from comment #4)
> > If I try to install with the current Univention Net Installer and the
> > profile from Comment 1 I get the traceback from the attached screenshot.
> 
> Looks like no partitiontable is present on the disk.
> The following line within the profile seems to be missing:
> 
> create_partitiontable="/dev/vda"

If I add this, the installation completes, but the installed system fails to boot once installed, see screenshot.
Comment 7 Moritz Muehlenhoff univentionstaff 2013-08-21 12:15:57 CEST
Created attachment 5387 [details]
Systems fails to boot after PXE installation
Comment 8 Felix Botner univentionstaff 2013-09-12 14:57:49 CEST
Just test if portioning options in the installation profile for a profile based installation is correct.

 -> dev_1='PHY /dev/sda3 0 1 none 1908MM 23000MM  lvm' -> WRONG (MM)

 -> dev_4='PHY /dev/vda2 0 1 ext4 24MiB 536MiB /boot none' -> CORRECT (MiB)
 -> dev_4='PHY /dev/vda2 0 1 ext4 24M 536M /boot none' -> CORRECT (M)
Comment 9 Moritz Muehlenhoff univentionstaff 2013-09-27 13:28:41 CEST
I made a profile-based installation and the partition info was generated correctly:

root@basesystem:~# grep ^dev /etc/univention/installation_profile 
dev_4='PHY /dev/sda2 0 0 ext4 24MiB 536MiB /boot none'
dev_1='PHY /dev/sda3 0 0 linux-swap 536MiB 8402MiB None linux-swap'
dev_0='PHY /dev/sda1 0 0 none 16MiB 24MiB None bios_grub'
dev_3='LVM /dev/vg_ucs/rootfs LVMLV 0 ext4 0MiB 144204MiB / none'
dev_2='PHY /dev/sda4 0 0 none 8403MiB 152499MiB None lvm'
Comment 10 Stefan Gohmann univentionstaff 2013-11-19 06:42:26 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".